Api
Get a book by external id
Authorization
apiKey apikey<token>
In: header
Path Parameters
bookExternalId*string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.publishdrive.com/v2/distribution/books/external-id/ext-001"{
"data": {
"id": "e9e0d212-52cb-11f1-8d0d-aedf0546306a",
"type": "book",
"attributes": {
"format": "ebook",
"status": "draft",
"title": "Sample Ebook",
"externalId": "ext-001",
"subtitle": null,
"series": null,
"language": [
"EN"
],
"isbn": null,
"imprint": {
"id": "e9e8d15e-52cb-11f1-8d0d-aedf0546306a",
"name": "Demo Imprint"
},
"description": "A sample ebook.",
"category": [
"FIC002000"
],
"keyword": [
"sample"
],
"copyright": "SELF",
"saleTerritory": [
"ALL"
],
"publicationDate": "2027-06-15",
"isFinalVersion": false,
"contributor": [
{
"firstName": "Jane",
"lastName": "Doe",
"role": "Author"
}
],
"price": [
{
"currency": "USD",
"price": 9.99
}
],
"audience": null,
"ebookDetails": {
"pageCount": 200,
"kdpEnrolled": false,
"publishedOnAmazon": false
},
"podDetails": null,
"audioDetails": null,
"files": [],
"chapters": null
}
}
}{
"title": "Response message failed validation",
"status": 400,
"detail": "Response message failed validation; Missing required header \"Content-Type\" for Response [get /api/books/external-id/{bookExternalId} 403]",
"instance": "/v2/distribution/books/external-id/ext-001",
"invalidParams": []
}Empty
Empty
{
"message": "Book not found"
}{
"title": "Unprocessable Content",
"status": 422,
"detail": "Validation failed",
"instance": "/v2/distribution/books/external-id/ext-unknown",
"invalidParams": [
{
"name": "bookExternalId",
"reason": "No book found for this external id."
}
]
}